<?xml version="1.0" encoding="UTF-8"?>
<project xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
		 xmlns="http://maven.apache.org/POM/4.0.0"
		 xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<!---->
	<groupId>tk.labyrinth.pandora</groupId>
	<artifactId>pandora-core-parent</artifactId>
	<version>0.1.0-SNAPSHOT</version>
	<packaging>pom</packaging>
	<!---->
	<modules>
		<module>pandora-jobs</module>
		<module>pandora-misc4j</module>
		<module>pandora-storage</module>
	</modules>
	<!---->
	<properties>
		<!-- VERSIONS BEGIN -->
		<!---->
		<!-- Languages -->
		<version.java>11</version.java>
		<!---->
		<!-- Libraries -->
		<version.auto-service>1.0-rc6</version.auto-service>
		<version.jsr305>3.0.2</version.jsr305>
		<version.junit5>5.5.2</version.junit5>
		<version.log4j>2.12.1</version.log4j>
		<version.lombok>1.18.12</version.lombok>
		<version.slf4j>1.7.28</version.slf4j>
		<version.spring-boot>2.3.1.RELEASE</version.spring-boot>
		<version.spring-cloud>2.2.3.RELEASE</version.spring-cloud>
		<version.vaadin>17.0.6</version.vaadin>
		<!---->
		<!-- Plugins -->
		<!---->
		<!-- Checked at 2020-11-12 -->
		<version.plugin.compiler>3.8.1</version.plugin.compiler>
		<!---->
		<!-- Checked at 2020-11-12 -->
		<version.plugin.javadoc>3.2.0</version.plugin.javadoc>
		<!---->
		<!-- Checked at 2020-11-12 -->
		<version.plugin.source>3.2.1</version.plugin.source>
		<!---->
		<!-- Checked at 2020-11-12 -->
		<version.plugin.surefire>3.0.0-M5</version.plugin.surefire>
		<!---->
		<!-- VERSIONS END -->
		<!---->
		<!-- CORE-SETTINGS BEGIN -->
		<maven.compiler.source>${version.java}</maven.compiler.source>
		<maven.compiler.target>${version.java}</maven.compiler.target>
		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
		<!-- CORE-SETTINGS END -->
	</properties>
	<!---->
	<dependencyManagement>
		<dependencies>
			<!-- COMPILE BEGIN -->
			<!---->
			<dependency>
				<groupId>tk.labyrinth.pandora</groupId>
				<artifactId>pandora-misc4j</artifactId>
				<version>${project.version}</version>
			</dependency>
			<dependency>
				<groupId>tk.labyrinth.pandora</groupId>
				<artifactId>pandora-jobs</artifactId>
				<version>${project.version}</version>
			</dependency>
			<dependency>
				<groupId>tk.labyrinth.pandora</groupId>
				<artifactId>pandora-storage</artifactId>
				<version>${project.version}</version>
			</dependency>
			<!-- COMPILE END -->
			<!---->
			<!-- PROVIDED BEGIN -->
			<!-- PROVIDED END -->
			<!---->
			<!-- RUNTIME BEGIN -->
			<!-- RUNTIME END -->
			<!---->
			<!-- TEST BEGIN -->
			<!-- TEST END -->
			<!---->
			<!-- IMPORT BEGIN -->
			<dependency>
				<groupId>com.vaadin</groupId>
				<artifactId>vaadin-bom</artifactId>
				<version>${version.vaadin}</version>
				<scope>import</scope>
				<type>pom</type>
			</dependency>
			<dependency>
				<groupId>org.springframework.boot</groupId>
				<artifactId>spring-boot-dependencies</artifactId>
				<version>${version.spring-boot}</version>
				<scope>import</scope>
				<type>pom</type>
			</dependency>
			<!-- IMPORT END -->
		</dependencies>
	</dependencyManagement>
	<!---->
	<dependencies>
		<!-- COMPILE BEGIN -->
		<dependency>
			<groupId>com.google.code.findbugs</groupId>
			<artifactId>jsr305</artifactId>
			<version>${version.jsr305}</version>
		</dependency>
		<dependency>
			<groupId>org.slf4j</groupId>
			<artifactId>slf4j-api</artifactId>
			<version>${version.slf4j}</version>
		</dependency>
		<!-- COMPILE END -->
		<!---->
		<!-- PROVIDED BEGIN -->
		<dependency>
			<groupId>com.google.auto.service</groupId>
			<artifactId>auto-service</artifactId>
			<version>${version.auto-service}</version>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>org.projectlombok</groupId>
			<artifactId>lombok</artifactId>
			<version>${version.lombok}</version>
			<scope>provided</scope>
		</dependency>
		<!-- PROVIDED END -->
		<!---->
		<!-- RUNTIME BEGIN -->
		<!-- RUNTIME END -->
		<!---->
		<!-- TEST BEGIN -->
		<dependency>
			<groupId>org.apache.logging.log4j</groupId>
			<artifactId>log4j-slf4j-impl</artifactId>
			<version>${version.log4j}</version>
			<scope>test</scope>
		</dependency>
		<dependency>
			<groupId>org.junit.jupiter</groupId>
			<artifactId>junit-jupiter</artifactId>
			<version>${version.junit5}</version>
			<scope>test</scope>
		</dependency>
		<!-- TEST END -->
	</dependencies>
	<!---->
	<build>
		<pluginManagement>
			<plugins>
				<plugin>
					<artifactId>maven-compiler-plugin</artifactId>
					<version>${version.plugin.compiler}</version>
				</plugin>
				<plugin>
					<artifactId>maven-javadoc-plugin</artifactId>
					<version>${version.plugin.javadoc}</version>
				</plugin>
				<plugin>
					<artifactId>maven-source-plugin</artifactId>
					<version>${version.plugin.source}</version>
				</plugin>
				<plugin>
					<artifactId>maven-surefire-plugin</artifactId>
					<version>${version.plugin.surefire}</version>
				</plugin>
			</plugins>
		</pluginManagement>
	</build>
	<!---->
</project>
